Bug 575956 - Review Request: indefero - Simple code and project management
Review Request: indefero - Simple code and project management
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Monnerat
Fedora Extras Quality Assurance
:
Depends On: 575940 716615
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 15:40 EDT by Guillaume Kulakowski
Modified: 2014-09-02 08:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-25 16:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
patrick: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2010-03-22 15:40:14 EDT
InDefero is a simple code and project management software with a total
integration of Git, Subversion and Mercurial repositories together with issue
tracking, documentation wiki, code review and file distribution.
http://www.indefero.net/

---

SPEC:
http://llaumgui.fedorapeople.org/review/indefero.spec

SRPM:
http://llaumgui.fedorapeople.org/review/indefero-0.8.11-1.fc12.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/indefero-0.8.11-1.fc12.noarch.rpm



rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/indefero*
rpmbuild/SPECS/indefero.spec: W: invalid-url Source0: indefero-0.8.11.zip
indefero.src: W: invalid-url Source0: indefero-0.8.11.zip
2 packages and 1 specfiles checked; 0 errors, 2 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| .//*                        | 5.2.0   | 1 | date       | ...CTORY_SEPARATOR |
|                             |         |   | json       | ENT_QUOTES         |
|                             |         |   | mbstring   | FALSE              |
|                             |         |   | pcre       | LOCK_EX            |
|                             |         |   | SimpleXML  | MB_CASE_TITLE      |
|                             |         |   | SPL        | NULL               |
|                             |         |   |            | PATH_SEPARATOR     |
|                             |         |   |            | ..._SPLIT_NO_EMPTY |
|                             |         |   |            | STDERR             |
|                             |         |   |            | TRUE               |
|                             |         |   |            | __CLASS__          |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | catch              |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 4 Sean Middleditch 2011-07-30 04:37:46 EDT
Your spec file link in the last update is to the built RPM, not the spec file, and the RPM link is to your old build.  While I'm not able to approve anything, I am a packager already and I'd be happy to review your spec if you post a proper link, and maybe that'll help move things along.  (I could grab it from the srpm, but you need to post proper links in any event.)
Comment 5 Guillaume Kulakowski 2011-07-30 05:15:31 EDT
Hi,

oups.

All sources are avalaible here : http://llaumgui.fedorapeople.org/review/indefero
Comment 6 Sean Middleditch 2011-08-01 18:38:27 EDT
The first big problem that I see is that the Source fields for both indefero and its dependency php-pluf don't point to real URLs where one can grab the source.  I believe that the git host you're using doesn't make that particularly easy, but unfortunately that's not much help on my end.  You might consider mirroring your project on github or gitorious, both of which allow you to automatically grab a particular branch, tag, or commit ref-id as a tarball.

I don't know if this is a hard requirement for Fedora since you upload source to Koji anyway, but it definitely makes the spec files more "resilient" and usable stand-alone, which is always good.
Comment 7 Guillaume Kulakowski 2011-08-02 01:59:17 EDT
The source URL does't have any rules.
For the 1.1.2 URL is http://projects.ceondo.com/p/indefero/downloads/36/.
I must add a comment for explain that.
Comment 8 Guillaume Kulakowski 2011-08-02 02:06:16 EDT
Comment added on SPEC and URL and using macro for URL
Comment 10 Patrick Monnerat 2012-11-28 06:39:19 EST
Remarks
- %doc should contains some configuration info, something like an updated
  short form of http://projects.ceondo.com/p/indefero/page/Installation/, plus
  a bootstrap.php template.
- indefero-httpd.conf should contain some editable access permission
  and/or option statement (for httpd 2.4) templates; URL rewrite rule
  templates (commented out) will be a plus.

I know you have submitted this review request long ago: this explains some
  of the "Not OK" below.

rpmlint output:
  $ rpmlint SPECS/indefero.spec 
  0 packages and 1 specfiles checked; 0 errors, 0 warnings.
  $ rpmlint SRPMS/indefero-1.2-1.fc14.src.rpm 
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.
  $ rpmlint RPMS/noarch/indefero-1.2-1.fc14.noarch.rpm 
  1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+=OK, -=Not OK, X=Not applicable, ?=Not verifiable, !=Remarks

MUST Items:
+ rpmlint output OK (see above)
+ named and versioned according to the Package Naming Guidelines
+ spec file name matches base package name
+ dist tag is present
+ complies with all the legal guidelines:
+  License: GPLv2+ valid, matches actual license
+  No known patent problems
+  No emulator, no firmware, no binary-only or prebuilt components
+  COPYING packaged as %doc
+ spec file is legible and written in american english
+ source matches upstream:
MD5:	a2f28b3981656dfb85b4b8b04a39fc29
SHA1:	962b7b542b62b5d9a3ffa4072e0c2f37be8dcbd6
SHA256:	f67f542f6f253945d4b5ec7a2b81d842a63aa23200adef1cb2dede3d7bd15ef1
- latest version is being packaged
!  1.2 --> 1.3.3 right now.
+ build root is correct
+ builds on at least one primary architecture: noarch
X known non-working architectures are listed in ExcludeArch (BZ #)
+ no missing BuildRequires (builds in mock)
  http://koji.fedoraproject.org/koji/taskinfo?taskID=4734119
+ complies with translation/locale guidelines
!  ... but "files listed twice" errors concern i18n files.
X ldconfig calls in %post and %postun for packages containing shared libraries
X no shared libraries are added to the regular linker search paths
X no duplicated system libraries
+ package not relocatable
- owns the directories and files it creates
!  Should Require: httpd
+ doesn't own and directory it shouldn't
- no duplicate files in %files
  warning: File listed twice: /usr/share/indefero/IDF/locale/cs/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/de/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/es_ES/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/fr/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/pt_BR/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/ru/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/sl/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/tr/idf.po
  warning: File listed twice: /usr/share/indefero/IDF/locale/zh_CN/idf.po
+ permissions correct, defattr used correctly
- macros used consistently
!  Would like to see macroized '/usr/share/' replacement in:
    sed -i -e "s|\$cfg\['pear_path'\] = '/usr/share/php';|\$cfg['pear_path'] = '/usr/share/pear';|g" conf/idf.php-dist
   and
    sed -i -e "s|/home/www/indefero/scripts/|/usr/share/indefero/scripts/|g" conf/idf.php-dist
!  In the same "sed" sequence, you sometimes replace by "...%{name}...",
    sometimes by "...indefero...": be consistent.
+ no non-code content
X large documentation files are in a -doc subpackage
+ no %doc files required at runtime
X header files are in a -devel subpackage
X static libraries are in a -static subpackage
X suffixed library files have a matching .so file in the -devel subpackage
X pkgconfig files are in a -devel subpackage
X -devel package requires the base package using a fully versioned dependency:
  Requires: %{name} = %{version}-%{release}"
+ no .la files
X .desktop file present
X desktop-file-install is used in %install and the .desktop file passes
  validation
+ all filenames are valid UTF-8
+ complies with the FHS
+ proper changelog, tags, BuildRoot, BuildRequires, Summary, Description
+ no macros in Summary and Description
+ no non-UTF-8 characters
+ all relevant documentation included as %doc
X compiler flags are appropriate (RPM_OPT_FLAGS are used)
+ %clean is present
+ no bundled software
X debuginfo package is valid
+ no rpaths
+ complies to %config guidelines
- complies with init script guidelines
!  Should not restart httpd on %post and %postun: in any case, the scriplets
   commands are outdated.
+ no timestamp-clobbering file commands
!  Lots of timestamp clobberings in fact, but all are acceptable real
    editions through sed.
X _smp_mflags used
+ complies to web application guideline
X %check is present and all test pass
!  ... although phpunit is required, no %check present. Tests are installed and
   should probably not.
- final provides and requires are sane
!  Should Require: httpd
+ no conflicts (installs properly)

SHOULD Items:
+ license already included upstream
X translations for description and summary are provided by upstream
+ package functionality works as expected
- scriptlets are sane
!   ... see "complies with init script guidelines"
X subpackages other than -devel should require the base package using a
  fully versioned dependency
+ no file dependencies
X package contains man pages
Comment 11 Guillaume Kulakowski 2012-12-04 17:03:55 EST
Thx for your returns. I work on it. I have already updated php-pluf from git to satisfy Indefero dependency.

What you say by "indefero-httpd.conf should contain some editable access permission and/or option statement (for httpd 2.4) templates;" ?
Add something like that ?
> deny from all
> allow from 127.0.0.1
> allow from ::1
Comment 12 Patrick Monnerat 2012-12-05 04:31:25 EST
> deny from all
> allow from 127.0.0.1
> allow from ::1

Yes, that's it, although these are for httpd 2.2. Some of these may be commented out (just there as example or "template"). Maybe some "options" statement can also appear and, since indefero has URL features based on mod_rewrite, some targetted rewrite rules might be given in example.
Comment 14 Patrick Monnerat 2013-01-14 13:40:55 EST
Listing only changed items from review in comment 10:

rpmlint output:
$ rpmlint SPECS/indefero.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint SRPMS/indefero-1.3.3-1.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
$ rpmlint RPMS/noarch/indefero-1.3.3-1.fc14.noarch.rpm 
indefero.noarch: W: no-manual-page-for-binary indefero_update
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


+ source matches upstream:
MD5:	32575c9e5bd2c280dbbaeb04e4542d1e
SHA1:	0c1686c9d384c5ddf198875e20ac64ed8a56c909
SHA256:	9d36460cf7d4b1395d3c1eb7b648b916a115c4a9a699bac0588443f7ede9ccec
+ latest version is being packaged
+ no missing BuildRequires (builds in mock)
  http://koji.fedoraproject.org/koji/taskinfo?taskID=4868187
+ owns the directories and files it creates
+ no duplicate files in %files
+ macros used consistently
X complies with init script guidelines
X %check is present and all test pass
+ final provides and requires are sane

X scriptlets are sane

Very nice package :-)

APPROVED
Comment 15 Guillaume Kulakowski 2013-01-14 14:07:59 EST
New Package SCM Request
=======================
Package Name: indefero
Short Description: Simple code and project management
Owners: llaumgui
Branches: f17 f18 el6
InitialCC: baz
Comment 16 Guillaume Kulakowski 2013-01-14 14:08:49 EST
Sorry, good request :

New Package SCM Request
=======================
Package Name: indefero
Short Description: Simple code and project management
Owners: llaumgui
Branches: f17 f18 el6
Comment 17 Gwyn Ciesla 2013-01-14 14:18:41 EST
Git done (by process-git-requests).
Comment 18 Fedora Update System 2013-01-14 16:03:00 EST
indefero-1.3.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/indefero-1.3.3-1.fc18
Comment 19 Fedora Update System 2013-01-14 16:05:32 EST
indefero-1.3.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/indefero-1.3.3-1.fc17
Comment 20 Fedora Update System 2013-01-14 16:06:36 EST
indefero-1.3.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/indefero-1.3.3-1.el6
Comment 21 Fedora Update System 2013-01-16 12:26:26 EST
indefero-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 22 Fedora Update System 2013-01-25 16:24:54 EST
indefero-1.3.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 23 Fedora Update System 2013-01-25 16:29:16 EST
indefero-1.3.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 24 Fedora Update System 2013-02-02 14:41:12 EST
indefero-1.3.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 25 Guillaume Kulakowski 2014-09-01 09:29:09 EDT
Package Change Request
======================
Package Name: indefero
New Branches: EL-7
Owners: llaumgui
Comment 26 Gwyn Ciesla 2014-09-02 08:27:44 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.